# config_cfe.yml
# Config file for planktivore project production
mounts:
  - name: "image"
    path: "/mnt/DeepSea-AI"
    host: "https://mantis.shore.mbari.org"
    nginx_root: "/DeepSea-AI"

plugins:
  - name: "extractor"
    module: "mbari_aidata.plugins.extractors.tap_planktivore_media"
    function: "extract_media"

redis:
  host: "doris.shore.mbari.org"
  internal_host: "redis-ptvr-lm"
  port: 6384
  project: "902004-Planktivore-LowMag"

vss:
  model: "google/vit-base-patch16-224"
  project: "902004-Planktivore-LowMag"
  output_path: "/mnt/DeepSea-AI/data/Planktivore/processed/vss_lm"

tator:
  project: "902004-Planktivore"
  host: "https://mantis.shore.mbari.org"
  image:
      attributes:
        iso_datetime:
          type: datetime

  box:
    attributes:
      Label:
        type: string
      score:
        type: float
      label_s:
        type: string
      score_s:
        type: float
      verified:
        type: bool
      comment:
        type: string
ffmpeg_path: "/usr/bin/ffmpeg"
